// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
import * as vscode from 'vscode';
import CompletionItemProvider from './completionItemProvider';

// this method is called when your extension is activated
// your extension is activated the very first time the command is executed
export function activate(context: vscode.ExtensionContext) {
    // Register the Completion Item Provider
    context.subscriptions.push(vscode.languages.registerCompletionItemProvider(
        [{ language: 'latex'}],         // document selector
        new CompletionItemProvider(),   // A Complete Item Provider instance
        '\\', '{', '[' //, '='             // Characters to trigger an completion suggestion
    ));
}
